<?php
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
| Updates: Yxos v1.6 for PHP-Fusion v6.01.xx
| Updates: Paul Beuk(muscapaul) v2.0x for PHP-Fusion v7.xx
| Grimloch(Terry Broullette) v4.04 for PHP-Fusion v7.02.xx
+--------------------------------------------------------+
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."news_letter_panel/infusion_db.php";
if (file_exists(INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}
// Infusion Information
$inf_title = $locale['nl_100'];
$inf_description = $locale['nl_101'];
$inf_version = "5.00";
$inf_developer = "Grimloch(Terry Broullette)";
$inf_email = "webmaster@whisperwillow.com";
$inf_weburl = "http://www.whisperwillow.com/";

$inf_folder = "news_letter_panel";

$inf_newtable[1] = DB_NEWS_LETTER." (
nl_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
nl_subject VARCHAR(200) NOT NULL DEFAULT '',
nl_head VARCHAR(200) NOT NULL DEFAULT '',
nl_message TEXT NOT NULL,
nl_format VARCHAR(5) NOT NULL DEFAULT '',
nl_delivery VARCHAR(3) NOT NULL DEFAULT '',
nl_style VARCHAR(6) NOT NULL DEFAULT '',
nl_sent INT(1) UNSIGNED NOT NULL DEFAULT '0',
nl_sent_date VARCHAR(12) NOT NULL DEFAULT 'xxx xx, xxxx',
nl_datestamp INT(11) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (nl_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";
$inf_droptable[1] = DB_NEWS_LETTER;

$inf_newtable[2] = DB_NEWS_LETTER_SUBS." (
nl_sub_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
nl_sub_mail VARCHAR(100) NOT NULL DEFAULT 'user@domain.com',
nl_sub_name VARCHAR(100) NOT NULL DEFAULT '',
nl_sub_stat TINYINT(1) NOT NULL DEFAULT '0',
nl_sub_date INT(10) NOT NULL DEFAULT '0',
nl_sub_who TINYINT(1) NOT NULL DEFAULT '0',
PRIMARY KEY (nl_sub_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";
$inf_droptable[2] = DB_NEWS_LETTER_SUBS;

$inf_newtable[3] = DB_NEWS_LETTER_VALIDATE." (
validate_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
validate_code VARCHAR(32) NOT NULL,
subscript_id SMALLINT(5) NOT NULL,
PRIMARY KEY (validate_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";
$inf_droptable[3] = DB_NEWS_LETTER_VALIDATE;

$inf_newtable[4] = DB_NEWS_LETTER_SETTINGS." (
id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
allow_public_subs TINYINT(1) NOT NULL DEFAULT '0',
PRIMARY KEY (id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";
$inf_droptable[4] = DB_NEWS_LETTER_SETTINGS;

$inf_newtable[5] = DB_NEWS_LETTER_ARCHIVE." (
id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
nl_subject VARCHAR(100) NOT NULL DEFAULT '',
nl_content VARCHAR(100) NOT NULL DEFAULT '',
nl_date_sent VARCHAR(12) NOT NULL DEFAULT 'xxx xx, xxxx',
PRIMARY KEY (id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";
$inf_droptable[5] = DB_NEWS_LETTER_ARCHIVE;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='news_letter_panel'";

$inf_insertdbrow[1] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style1-1 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the full width colum text below -->
Replace all of this full width single colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE. Unless you don\'t care for nice alignment, do not remove the p align and close commands.
<!-- End changes -->
</p>
','html','uem1','1-1col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[2] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style1-2 Column','Newsletter/Header Text','<!-- Change ONLY the left colum text below -->
<p align=\'justify\'>
<!-- Change ONLY the left colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
</font></td></tr></table>
</td><td width=\'4%\'></td><td valign=\'top\' width=\'48%\'>
<table align=\'center\' width=\'100%\' border=\'0\' cellpadding=\'0\' cellspacing=\'0\'><tr>
<td align=\'left\' bgcolor=\'#ffffff\' valign=\'top\'><font size=\'2\' color=\'#000000\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the right colum text below -->
Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
','html','uem1','1-2col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[3] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style1-3 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the left colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
</font></td></tr></table>
</td><td width=\'4%\'></td><td valign=\'top\' width=\'48%\'>
<table align=\'center\' width=\'100%\' border=\'0\' cellpadding=\'0\' cellspacing=\'0\'><tr>
<td align=\'left\' bgcolor=\'#ffffff\' valign=\'top\'><font size=\'2\' color=\'#000000\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the right colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
</font></td></tr></table></td></tr></table>
<table width=\'100%\'><tr><td align=\'center\'>
<table align=\'center\' width=\'96%\' border=\'0\' cellpadding=\'0\' cellspacing=\'0\'><tr>
<td align=\'center\' height=\'16\'></td></tr><tr>
<td align=\'left\' bgcolor=\'#ffffff\' valign=\'top\'><font size=\'2\' color=\'#000000\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the full width colum text below -->
Replace all of this full width lower colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
','html','uem1','1-3col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[4] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style2-1 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the full width colum text below -->
Replace all of this full width single colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
','html','uem1','2-1col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[5] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style2-2 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the left colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
</font></td>
</tr></table>
</td><td width=\'4%\'></td><td width=\'48%\' valign=\'top\'>
<table width=\'100%\' border=\'0\' cellspacing=\'0\' cellpadding=\'0\'><tr>
<td bgcolor=\'#efefef\' align=\'left\' valign=\'top\'><font size=\'2\' color=\'#000000\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the right colum text below -->
Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
','html','uem1','2-2col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[6] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style2-3 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the left colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
</font></td></tr></table>
</td><td width=\'4%\'></td><td width=\'48%\' valign=\'top\'>
<table width=\'100%\' border=\'0\' cellspacing=\'0\' cellpadding=\'0\'><tr>
<td bgcolor=\'#efefef\' align=\'left\'  valign=\'top\'><font size=\'2\' color=\'#000000\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the right colum text below -->
Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
</font></td></tr></table>
</td></tr></table>
<table align=\'center\' width=\'100%\'><tr><td align=\'center\'>
<table align=\'center\' width=\'100%\' border=\'0\' cellspacing=\'0\' cellpadding=\'0\'><tr>
<td bgcolor=\'#efefef\' align=\'left\'  valign=\'top\'><font size=\'2\' color=\'#000000\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the full width colum text below -->
Replace all of this full width lower colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
','html','uem1','2-3col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[7] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style3-1 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the full width colum text below -->
Replace all of this full width single colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
','html','uem1','3-1col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[8] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style3-2 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the left colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
</font></td></tr></table>
</td><td width=\'4%\'></td><td width=\'48%\' valign=\'top\'>
<table width=\'100%\' border=\'0\' cellspacing=\'0\' cellpadding=\'0\'><tr>
<td align=\'left\' valign=\'top\'><font size=\'2\' color=\'#ffffff\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the right colum text below -->
Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
','html','uem1','3-2col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[9] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style3-3 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the left colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
</font></td></tr></table>
</td><td width=\'4%\'></td><td width=\'48%\' valign=\'top\'>
<table width=\'100%\' border=\'0\' cellspacing=\'0\' cellpadding=\'0\'><tr>
<td align=\'left\' valign=\'top\'><font size=\'2\' color=\'#ffffff\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the right colum text below -->
Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
</font></td></tr></table>
</td></tr><tr>
<td width=\'100%\' colspan=\'3\'>
<table align=\'center\' width=\'100%\' border=\'0\' cellspacing=\'0\' cellpadding=\'0\'><tr>
<td align=\'left\' valign=\'top\'><font size=\'2\' color=\'#ffffff\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the lower center colum text below -->
Replace all of this full width lower colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
','html','uem1','3-3col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[10] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style4-1 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the lower center colum text below -->
Replace all of this full width single colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
','html','uem1','4-1col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[11] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style4-2 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the left colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw up the template. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
</font></td><td width=\'10\'></td>
</tr></table>
</td><td valign=\'top\' width=\'50%\'>
<table align=\'center\' width=\'100%\' border=\'0\' cellpadding=\'0\' cellspacing=\'0\'><tr>
<td align=\'left\' valign=\'top\'><font size=\'2\' color=\'#ffff00\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the right colum text below -->
Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw up the template. Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw up the template.
<!-- End changes -->
</p>
','html','uem1','4-2col','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[12] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Style4-3 Column','Newsletter/Header Text','
<p align=\'justify\'>
<!-- Change ONLY the left colum text below -->
Replace all of this left colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. To use the <b>img code</b> below, you must supply the entire link: i.e. http://www.VALIDURL/images/IMGSOURCE
<!-- End changes -->
</p>
</font></td><td width=\'10\'></td>
</tr></table>
</td><td valign=\'top\' width=\'50%\'>
<table align=\'center\' width=\'100%\' border=\'0\' cellpadding=\'0\' cellspacing=\'0\'><tr>
<td align=\'left\' valign=\'top\'><font size=\'2\' color=\'#ffff00\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the right colum text below -->
Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template. Replace all of this right colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
</font></td></tr></table>
</td></tr><tr>
<td valign=\'top\' colspan=\'2\' width=\'100%\'>
<table align=\'center\' width=\'100%\' border=\'0\' cellpadding=\'0\' cellspacing=\'0\'><tr>
<td width=\'100%\' height=\'18\'></td>
</tr><tr>
<td align=\'left\' valign=\'top\'><font size=\'2\' color=\'#ffff00\' face=\'Verdana, Arial, sans-serif\'>
<p align=\'justify\'>
<!-- Change ONLY the lower center colum text below -->
Replace all of this full width lower colum text with your own. Html tags, statements and code is not required but will greatly enhance your newsletter. Put ordered or unordered lists, another table with its own contents or whatever you desire. Just do not change the surrounding html code or it will screw-up the template.
<!-- End changes -->
</p>
','html','uem1','4-3col','0','xxx xx, xxxx','".time()."')";

$inf_insertdbrow[13] = DB_NEWS_LETTER_SETTINGS." (allow_public_subs) VALUES ('1')";

$inf_adminpanel[1] = array(
	"title" => $locale['nl_100'],
	"image" => "nletter.png",
	"panel" => "news_letter_menu.php",
	"rights" => "GNS"
);

$inf_sitelink[1] = array(
	"title" => $locale['nl_470'],
	"url" => "subscription.php",
	"visibility" => "101"
);

$inf_sitelink[2] = array(
	"title" => $locale['nl_110'],
	"url" => "news_letter_archive.php",
	"visibility" => "101"
);
?>