<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_letter_menu.php
| Version: 5.00
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Website: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."news_letter_panel/infusion_db.php";

if (file_exists(INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}

if (!checkrights("GNS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
add_to_head("<link rel='stylesheet' href='".INFUSIONS."news_letter_panel/include/nl_style.css' type='text/css' />");

	$result = dbquery("SELECT allow_public_subs FROM ".DB_NEWS_LETTER_SETTINGS."");
	$data=dbarray($result);
	$subs_allow = $data['allow_public_subs'];

opentable($locale['nl_600']);

if (isset($_POST['pub_sub'])) {
	$result = dbquery("UPDATE ".DB_NEWS_LETTER_SETTINGS." SET allow_public_subs='".$_POST['subs_allow']."'");
}
	echo "<br /><div align='center'><span style='font-weight: bold; font-size: 13px;'>".$locale['nl_602']."</span><br /><br /></div>\n";
	echo "<br /><div align='center'><form name='sub_select' method='post' action='".FUSION_SELF.$aidlink."'><br />\n";
		if($subs_allow =='1') {
	echo $locale['nl_250']."<input type='radio' name='subs_allow' value='1' checked />".$locale['nl_862']."&nbsp;&nbsp;&nbsp;<input type='radio' name='subs_allow' value='0' />".$locale['nl_861']."<br /><br />\n";
	} else {
	echo $locale['nl_250']."<input type='radio' name='subs_allow' value='1' />".$locale['nl_862']."&nbsp;&nbsp;&nbsp;<input type='radio' name='subs_allow' value='0' checked />".$locale['nl_861']."<br /><br />\n";
	}
	echo "<input type='submit' name='pub_sub' value='".$locale['nl_244']."' class='butt2'><br /><br />\n";
	echo "</div><br /><hr width='95%'><br />\n";
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'><tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_admin.php".$aidlink."'>".$locale['nl_605']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
	$result = dbquery("SELECT allow_public_subs FROM ".DB_NEWS_LETTER_SETTINGS."");
	$data=dbarray($result);
	$pub_allow = $data['allow_public_subs'];
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table><br /><br />\n";
      
closetable();

require_once THEMES."templates/footer.php";
?>