<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: privacy_policy.php
| Author: Terry Broullette(Grimloch)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}
opentable($locale['nl_700']);

	echo "<br /><table width='100%' cellpadding='20' cellspacing='0' border='0'><tr>\n";
	echo "<td align='center' valign='top' width='80%'><table align='center' width='80%' cellpadding='0' cellspacing='0' border='0'><tr>\n";
	echo "<td align='center' valign='top'><br /><span style='font-size: 13px; color: #000000'><strong><u>".$locale['nl_701']."</u></strong></span><br /><br /><br /></td>\n";
	echo "</tr><tr>\n";
	echo "<td valign='top' align='left'><span style='font-size: 10px; color: #000000'>\n";
	echo "<strong>".$settings['sitename']." Privacy Notice (Updated xx/xx/2013)</strong><br /><br />
<p>By visiting the ".$settings['sitename']." website or any other websites operated by ".$settings['sitename']." or its affiliates (collectively, the \"Site\"), you agree to accept the practices described in this Privacy Notice. If you do not agree to the terms of this Privacy Notice, please do not use the Site. Each time you use the Site, you should check the date of this Privacy Notice (which appears above) and review any changes that have been made since your last visit to the Site.</p>
<br />
<p>Throughout ".$settings['sitename']."s period of operation, we have developed relationships with our members based on respect and integrity. We're aware of the trust and confidence you demonstrate when you visit the Site and provide us with information. This Privacy Notice is posted to demonstrate our leadership in online security and customer service practices. We treat your information with the same honesty and sensitivity that we have displayed throughout our sites history.</p>
<br />
<strong>1. Personal Information Collected By ".$settings['sitename']."</strong>
<br /><br />
<p>".$settings['sitename']." uses information that we collect from our members to personalize and improve your visit at the Site.
We gather the following types of information:</p>
<br /><br />
<div align='center'><span style='font-size: 13px; color: #000000'><strong><u>Information You Give to Us</u></strong></span></div><br />
<p>We Collect Personal Information that is provided by Site members. \"Personal Information\" includes your email address, date of birth and IP address. Personal Information is collected when you register an account with us or when you communicate with any of our staff such as customer service or technical services through the Site via email or Private Message.</p>
<br /><br />
<div align='center'><span style='font-size: 13px; color: #000000'><strong><u>Cookies</u></strong></span></div><br />
<p>Through the use of cookies, we may also collect and analyze the IP address used to connect your computer to the Internet; computer and connection information such as your browser type and version; operating system and platform; and the URLs which lead you to and around the Site including the date and time. You can generally set your browser to reject cookies or to notify you when you are sent a cookie. Software is also available from third parties which will allow you to visit the Site without providing this information. You are welcome to use the Site if you use such software but we will not be able to offer you our personalized services.</p>
<br />
<strong>2. Use of Information Collected By Us</strong>
<br /><br />
<p>We use this information in an effort to improve your experience on the Site, to provide services to you and to communicate with you about information that you request. We may also use this information to help us develop and improve our Site, and to tailor our Site to your interests.</p>
<br />
<strong>3. Sharing of Information with Third Parties</strong>
<br /><br />
<p>We will not rent, sell or otherwise disclose your Personal Information to unrelated third parties without your consent, except as stated in this Privacy Notice.</p>
 <br /><br />
<div align='center'><span style='font-size: 13px; color: #000000'><strong><u>Links to Third Party Site</u></strong></span></div><br />

<p>The Site contains certain links to third party websites. We are not responsible or liable for the privacy practices or content found on these websites. We recommend that you check the privacy notice of each website you visit. Links to third party websites are provided solely for your convenience and any submission of data to such websites shall be at your sole risk.</p>
<br /><br />
<div align='center'><span style='font-size: 13px; color: #000000'><strong><u>Law Enforcement and Protection of Users</u></strong></span></div><br />

<p>To the extent permitted by law, we will disclose Personal Information to government authorities or third parties pursuant to a legal request, subpoena or other legal process. We may also use or disclose your information as permitted by law to fight fraud or protect our rights, property or intellectual property as well as those of our affiliates, members or its users. You should be aware that, following disclosure to any third party, your Personal Information may be accessible by others to the extent permitted or required by applicable law.</p>
<br />
<strong>4. Children and Privacy</strong>
<br /><br />
<p>The Site is a general audience website and is not directed to children under the age of 13. We will never knowingly collect personally identifiable information from children under the age of 13 without verifiable parental consent. If you are under the age of 13, please do not provide us with personally identifiable information of any kind whatsoever. If we become aware that a user is under the age of 13 and has submitted Personal Information without verifiable parental consent, we will remove his or her personally identifiable information from our records. We understand that children may not fully understand all of the provisions of this Privacy Notice or make informed decisions about the choices that are made available to adult memers of the Site. We encourage parents and guardians to spend time with their children online and to be familiar with the websites they visit.</p>
<br />
<strong>5. Security</strong>
<br /><br />
<p>The Site utilizes industry-standard firewalls and security technology.</p>
<br />
<p>You should recognize, however, that no computer system is fully secure and that there are inherent risks associated with Internet transactions. To make sure you have the latest security features on your browser, you may want to download the most recent version of your favorite browser, which should have full security support.</p>
<br />
<strong>6. Corrections/Information Removal/Opt-Out</strong>
<br /><br />
<p>If your email address or other Personal Information changes, you may update, correct or omit the relevant information by contacting us at ".$settings['siteemail'].".<br /><br />In addition, if you no longer wish to receive communications from us you may opt-out by emailing us at ".$settings['siteemail']." or by clicking on the unsubscribe link within any email you receive from us.</p>
<br />
<strong>7. Contact Information</strong>
<br /><br />
<p>If you have any questions or concerns about this Privacy Notice, please email us at ".$settings['siteemail']." or by sending a Private Message to the Webmaster.</p>
<br />
<strong>8. Limitations On Liability</strong>
<br /><br />
<p>IN NO EVENT WILL ".$settings['sitename']." OR ANY PARTY INVOLVED IN CREATING, PRODUCING OR DELIVERING THE SITE OR ITS SERVICES BE LIABLE IN ANY MANNER WHATSOEVER FOR ANY INCIDENTAL, CONSEQUENTIAL, INDIRECT, SPECIAL OR PUNITIVE DAMAGES ARISING OUT OF YOUR ACCESS, USE OR INABILITY TO USE THE SITE, OR IN CONNECTION WITH ANY FAILURE OR PERFORMANCE, ERROR, OMISSION, INTERRUPTION, DEFECT, DELAY IN OPERATION OR TRANSMISSION, COMPUTER VIRUS OR LINE OR SYSTEM FAILURE (INCLUDING LOSS OF PROFITS, LOSS OF BUSINESS OR DATA, BUSINESS INTERRUPTION, AND DAMAGES THAT RESULT FROM INACCURACY OF THE INFORMATION OR INCONVENIENCE, DELAY, OR LOSS OF THE USE OF THE SITE). THE FOREGOING LIMITATIONS APPLY WHETHER THE ALLEGED LIABILITY IS BASED ON CONTRACT, TORT, NEGLIGENCE, STRICT LIABILITY OR ANY OTHER BASIS, EVEN IF ".$settings['sitename']." OR ITS AFFILIATES OR ANY OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES</p>\n";
	echo "<br /><br /></span>\n</td></tr></table>\n";
	echo "</td></tr></table>\n";
closetable();

require_once THEMES."templates/footer.php";
?>