<?php
/*-------------------------------------------------------+
| PHP-Fusion message Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_letter_admin.php
| Author: Terry Broullette(Grimloch), Wooya
| Email: webmaster@whisperwillow.com
| Website: http://www.whisperwillow.com/
| Orig Filename: news_letter_admin.php
| Orig Author: Digitanium
| Updates: Xyos, Muscapaul, Wooya, Grimloch
+--------------------------------------------------------+
| Version: 5.00 Terry Broullette(Grimloch)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."news_letter_panel/infusion_db.php";
if (file_exists(INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}
if (!checkrights("GNS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

define("ARCHIVE_FOLDER", INFUSIONS."news_letter_panel/archive/");
define("ATTACH_FOLDER", INFUSIONS."news_letter_panel/attach/");
include INFUSIONS."news_letter_panel/include/attach_include.php";
$nl_id = (isset($_REQUEST['nl_id']) AND isnum($_REQUEST['nl_id'])) ? $_REQUEST['nl_id'] : "";
$group_id = (isset($_REQUEST['group_id']) AND isnum($_REQUEST['group_id'])) ? $_REQUEST['group_id'] : "";
$msg = isset($_REQUEST['msg']) ? $_REQUEST['msg'] : "";
$mime_type = isset($_REQUEST['mime_type']) ? $_REQUEST['mime_type'] : "";
$attach_type = isset($_REQUEST['attach_type']) ? $_REQUEST['attach_type'] : "";
$usrtxt = isset($_REQUEST['usrtxt']) ? $_REQUEST['usrtxt'] : "";
$template = isset($_REQUEST['template']) ? $_REQUEST['template'] : "";
$style = isset($_REQUEST['style']) ? $_REQUEST['style'] : "";
$subject = isset($_REQUEST['subject']) ? $_REQUEST['subject'] : "";
$plain = isset($_REQUEST['plain']) ? $_REQUEST['plain'] : "";
$htm = isset($_REQUEST['htm']) ? $_REQUEST['htm'] : "";
$format = isset($_REQUEST['format']) ? $_REQUEST['format'] : "";
$delivery = isset($_REQUEST['delivery']) ? $_REQUEST['delivery'] : "";
$group_name = isset($_REQUEST['group_name']) ? $_REQUEST['group_name'] : "";
$to = isset($_REQUEST['to']) ? $_REQUEST['to'] : "";
$grID = isset($_REQUEST['grID']) ? $_REQUEST['grID'] : "";
$yes = isset($_REQUEST['yes']) ? $_REQUEST['yes'] : "";
$no = isset($_REQUEST['no']) ? $_REQUEST['no'] : "";
$error = isset($_REQUEST['error']) ? $_REQUEST['error'] : "";
$web_read = isset($_REQUEST['web_read']) ? $_REQUEST['web_read'] : "";
$news_head = isset($_REQUEST['news_head']) ? $_REQUEST['news_head'] : "";
$send_date = isset($_REQUEST['send_date']) ? $_REQUEST['send_date'] : "";
add_to_head("<link rel='stylesheet' href='".INFUSIONS."news_letter_panel/include/nl_style.css' type='text/css' />");
add_to_head("<link rel='stylesheet' href='".INFUSIONS."news_letter_panel/include/balloontip.css' type='text/css' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."news_letter_panel/include/balloontip.js'>
/***********************************************
* Rich HTML Balloon Tooltip-  Dynamic Drive DHTML code library (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit Dynamic Drive at http://www.dynamicdrive.com/ for full source code
***********************************************/
</script>");

	$result = dbquery("SELECT allow_public_subs FROM ".DB_NEWS_LETTER_SETTINGS."");
	$data=dbarray($result);
	$pub_allow = $data['allow_public_subs'];

global $settings, $userdata, $locale;

if (isset($_POST['save_newsletter'])) {
	$subject = addslashes($_POST['subject']);
	$news_head = addslashes($_POST['nl_head']);
	$usrtxt = addslashes($_POST['msg']);
	$edit_date = $_POST['nl_edit'];
	$format = (preg_check("/^(html|plain)$/", $_POST['format']) ? $_POST['format'] : "plain");
	$delivery = (preg_check("/^(uem1|uem2|grp)$/", $_POST['delivery']) ? $_POST['delivery'] : "uem1");
	$result = dbquery("SELECT nl_subject, nl_style  FROM ".DB_NEWS_LETTER." WHERE nl_id='".$_POST['nl_id']."'");
			while ($data = dbarray($result)) {
			$style = $data['nl_style'];
			$newsub = ($data['nl_subject']);
	}
	if ($nl_id != '' && $_POST['subject'] == $newsub) {
		$result = dbquery("UPDATE ".DB_NEWS_LETTER." SET nl_subject='$subject', nl_head='$news_head', nl_message='".$usrtxt."', nl_format='".$format."', nl_delivery='".$delivery."', nl_style='".$style."', nl_sent_date='$edit_date' WHERE nl_id='".$_POST['nl_id']."'");
opentable($locale['nl_411']);
	echo "<div style='text-align:center'><br />\n".$locale['nl_414']."<br /><br /></div>\n";
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'>\n<tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table>\n";
closetable();
	} else {
		$result = dbquery("INSERT INTO ".DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('".$subject."', '".$news_head."', '".$usrtxt."', '".$format."', '".$delivery."', '".$style."', '0', '".$edit_date."', '".time()."')");
opentable($locale['nl_410']);
	echo "<div style='text-align:center'><br />\n".$locale['nl_415']."<br /><br /></div>\n";
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'>\n<tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table>\n";
closetable();
	}
} else if(isset($_POST['send'])) {

$queit = md5(time());
$web_read = $queit.".html";

// Switch code dependant on value of $delivery
$delivery = (preg_check("/^(uem1|uem2|grp)$/", $_POST['delivery']) ? $_POST['delivery'] : "uem1");
switch ($delivery) {
	case ($delivery == 'uem1'):
include INCLUDES."sendmail_include.php";
// Mail send routine for single/multiple/all users
	$error = "";
$result = dbquery("SELECT nl_id, nl_style, nl_sent_date FROM ".DB_NEWS_LETTER." WHERE nl_id='".$_POST['nl_id']."'");
	$data=dbarray($result);
	$style = $data['nl_style'];
	$send_date = $data['nl_sent_date'];
	$subject = stripslashes($_POST['subject']);
	$news_head = stripslashes($_POST['nl_head']);
	$frommail = $settings['siteemail'];
	$usrtxt = stripslashes($_POST['msg']);
	$format = $_POST['format'];
	$send_array = ($_POST['send_to']);
	$list = implode(",",$send_array);
	$to_email = $list;
	$list_array = explode(",",$to_email);
	reset($list_array);
include INFUSIONS."news_letter_panel/include/styles_include.php";
include INFUSIONS."news_letter_panel/templates/$template";
require_once INFUSIONS."news_letter_panel/include/html2text.php";
	$html_version = $content;
	$text_version = html2text($html_version);
// archive html version
$epoch = time();
$sent = date("M d, Y",$epoch);
$result = dbquery("UPDATE ".DB_NEWS_LETTER." SET nl_sent='1', nl_sent_date='$sent' WHERE nl_id='".$_POST['nl_id']."'");
		$subj = $subject;
		$qpage = $web_read;
		$page = stripslashes($html_version);
		$nwsltr = ARCHIVE_FOLDER."$qpage";
		$handle = fopen($nwsltr, 'w') or die("File could not be created");
		fwrite($handle, $page);
		fclose($handle);
$archive = dbquery("INSERT INTO ".DB_NEWS_LETTER_ARCHIVE." (id, nl_subject, nl_content, nl_date_sent) VALUES('', '".$subj."', '".$qpage."', '".$sent."')");
// boundary 
$semi_rand = md5(time()); 
$mime_boundary = "Multipart_Boundary_x{$semi_rand}x";

	if ($format == "plain") {
		$content = $text_version;
		$date = date("r");
		$headers = "From: $frommail\r\n";
	if($_POST['fileattach'] == "yes") {
	$file_array = ($_POST['attach_files']);
	$file_list = implode(",",$file_array);
	$my_list = $file_list;
	$new_list = explode(",",$my_list);
	reset($new_list);
}
	$headers .= "MIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\"";
	$message = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type: text/plain; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $content . "\n\n"; 
	$message .= "--{$mime_boundary}\n";
// preparing attachments for plain text emails
	if($_POST['fileattach'] == "yes") {
		foreach($new_list AS $new_file) {
include INFUSIONS."news_letter_panel/include/mime_type.php";
		$handle = fopen(ATTACH_FOLDER.$new_file, "rb");
		$data = fread($handle, filesize(ATTACH_FOLDER.$new_file));
		fclose($handle);
		$file_split = chunk_split(base64_encode($data));
		$message .= "Content-Type: $mime_type;\n" . " name=\"$new_file\"\n" . 
		"Content-Disposition: attachment;\n" . " filename=\"$new_file\"\n" . 
		"Content-Transfer-Encoding: base64\n\n" . $file_split . "\n\n";
		$message .= "--{$mime_boundary}\n";
		}
	$message .= "--{$mime_boundary}--\n";
		} else { $message .= "--{$mime_boundary}--\n"; }
	} else {
		$content = $html_version;
		$date= date("r");
		$headers = "From: $frommail\r\n";
	if($_POST['fileattach'] == "yes") {
	$file_array = ($_POST['attach_files']);
	$file_list = implode(",",$file_array);
	$my_list = $file_list;
	$new_list = explode(",",$my_list);
	reset($new_list);
}
	$headers .= "MIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\"";
	$message = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type: text/html; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $content . "\n\n"; 
	$message .= "--{$mime_boundary}\n";
// preparing attachments for html emails
	if($_POST['fileattach'] == "yes") {
		foreach($new_list AS $new_file) {
include INFUSIONS."news_letter_panel/include/mime_type.php";
		$handle = fopen(ATTACH_FOLDER.$new_file, "rb");
		$data = fread($handle, filesize(ATTACH_FOLDER.$new_file));
		fclose($handle);
		$file_split = chunk_split(base64_encode($data));
		$message .= "Content-Type: $mime_type;\n" . " name=\"$new_file\"\n" . 
		"Content-Disposition: attachment;\n" . " filename=\"$new_file\"\n" . 
		"Content-Transfer-Encoding: base64\n\n" . $file_split . "\n\n";
		$message .= "--{$mime_boundary}\n";
		}
	$message .= "--{$mime_boundary}--\n";
	} else { $message .= "--{$mime_boundary}--\n"; }
}
foreach($list_array AS $to_mail) {
	$result = dbquery("SELECT *	FROM ".DB_NEWS_LETTER_SUBS." WHERE nl_sub_stat='1' AND nl_sub_mail='$to_mail'");
	if (dbrows($result)) {
	}
		$k = 1; $rows = dbrows($result);
		while ($data = dbarray($result)) {
		$to = $data['nl_sub_mail'];
	if ($rows == 1 || $k == 99) {
		if (!mail($to, $subject, $message, $headers)) {
					$error = $locale['nl_417'];
				}
			}
		if ($k != 99) { $k++; } else { $k = 1; }
		$rows--;
		}
	}
opentable($locale['nl_412']);
	echo "<div style='text-align:center'><br />\n";
	if (!$error) {
		echo $locale['nl_416']."<br /><br />\n";
	echo "<table class='tbl-border' align='center' width='400' cellpadding='4' cellspacing='0'><tr>\n";
	echo "<td align='center'>".$locale['nl_425']."</td>\n</tr><tr>";
	echo "<td align='left'>\n";
		$rows = array_chunk($send_array, 2);
		foreach($rows  as $emails) {
    	    	    	echo implode(', ', $emails) . "<br />";
		}
	echo "</td>\n";
	echo "</tr></table><br /><br />\n";
	} else {
		echo $locale['nl_417']."<br /><br />\n".$error."<br /><br />\n";
	}
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'>\n<tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table>\n";
	echo "</div>\n";
closetable();
break;
// End members single/multiple/all user send
	case ($delivery == 'uem2'):
include INCLUDES."sendmail_include.php";
// Mail send routine for guest single/multiple/all send
	$error = "";
$result = dbquery("SELECT nl_id, nl_style, nl_sent_date FROM ".DB_NEWS_LETTER." WHERE nl_id='".$_POST['nl_id']."'");
	$data=dbarray($result);
	$style = $data['nl_style'];
	$send_date = $data['nl_sent_date'];
	$subject = stripslashes($_POST['subject']);
	$news_head = stripslashes($_POST['nl_head']);
	$frommail = $settings['siteemail'];
	$usrtxt = stripslashes($_POST['msg']);
	$format = $_POST['format'];
	$send_array = ($_POST['send_to']);
	$list = implode(",",$send_array);
	$to_email = $list;
	$list_array = explode(",",$to_email);
	reset($list_array);
include INFUSIONS."news_letter_panel/include/styles_include.php";
include INFUSIONS."news_letter_panel/templates/$template";
require_once INFUSIONS."news_letter_panel/include/html2text.php";
	$html_version = $content;
	$text_version = html2text($html_version);
// archive html version
$epoch = time();
$sent = date("M d, Y",$epoch);
$result = dbquery("UPDATE ".DB_NEWS_LETTER." SET nl_sent='1', nl_sent_date='$sent' WHERE nl_id='".$_POST['nl_id']."'");
		$subj = $subject;
		$qpage = $web_read;
		$page = stripslashes($html_version);
		$nwsltr = ARCHIVE_FOLDER."$qpage";
		$handle = fopen($nwsltr, 'w') or die("File could not be created");
		fwrite($handle, $page);
		fclose($handle);
$archive = dbquery("INSERT INTO ".DB_NEWS_LETTER_ARCHIVE." (id, nl_subject, nl_content, nl_date_sent) VALUES('', '".$subj."', '".$qpage."', '".$sent."')");
// boundary 
$semi_rand = md5(time()); 
$mime_boundary = "Multipart_Boundary_x{$semi_rand}x";

	if ($format == "plain") {
		$content = $text_version;
		$date = date("r");
		$headers = "From: $frommail\r\n";
	if($_POST['fileattach'] == "yes") {
	$file_array = ($_POST['attach_files']);
	$file_list = implode(",",$file_array);
	$my_list = $file_list;
	$new_list = explode(",",$my_list);
	reset($new_list);
}
	$headers .= "MIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\"";
	$message = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type: text/plain; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $content . "\n\n"; 
	$message .= "--{$mime_boundary}\n";
// preparing attachments for plain text emails
	if($_POST['fileattach'] == "yes") {
		foreach($new_list AS $new_file) {
include INFUSIONS."news_letter_panel/include/mime_type.php";
		$handle = fopen(ATTACH_FOLDER.$new_file, "rb");
		$data = fread($handle, filesize(ATTACH_FOLDER.$new_file));
		fclose($handle);
		$file_split = chunk_split(base64_encode($data));
		$message .= "Content-Type: $mime_type;\n" . " name=\"$new_file\"\n" . 
		"Content-Disposition: attachment;\n" . " filename=\"$new_file\"\n" . 
		"Content-Transfer-Encoding: base64\n\n" . $file_split . "\n\n";
		$message .= "--{$mime_boundary}\n";
		}
	$message .= "--{$mime_boundary}--\n";
		} else { $message .= "--{$mime_boundary}--\n"; }
	} else {
		$content = $html_version;
		$date= date("r");
		$headers = "From: $frommail\r\n";
	if($_POST['fileattach'] == "yes") {
	$file_array = ($_POST['attach_files']);
	$file_list = implode(",",$file_array);
	$my_list = $file_list;
	$new_list = explode(",",$my_list);
	reset($new_list);
}
	$headers .= "MIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\"";
	$message = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type: text/html; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $content . "\n\n"; 
	$message .= "--{$mime_boundary}\n";
// preparing attachments for html emails
	if($_POST['fileattach'] == "yes") {
		foreach($new_list AS $new_file) {
include INFUSIONS."news_letter_panel/include/mime_type.php";
		$handle = fopen(ATTACH_FOLDER.$new_file, "rb");
		$data = fread($handle, filesize(ATTACH_FOLDER.$new_file));
		fclose($handle);
		$file_split = chunk_split(base64_encode($data));
		$message .= "Content-Type: $mime_type;\n" . " name=\"$new_file\"\n" . 
		"Content-Disposition: attachment;\n" . " filename=\"$new_file\"\n" . 
		"Content-Transfer-Encoding: base64\n\n" . $file_split . "\n\n";
		$message .= "--{$mime_boundary}\n";
		}
	$message .= "--{$mime_boundary}--\n";
	} else { $message .= "--{$mime_boundary}--\n"; }
}
foreach($list_array AS $to_mail) {
	$result = dbquery("SELECT *	FROM ".DB_NEWS_LETTER_SUBS." WHERE nl_sub_stat='1' AND nl_sub_mail='$to_mail'");
	if (dbrows($result)) {
	}
		$k = 1; $rows = dbrows($result);
		while ($data = dbarray($result)) {
		$to = $data['nl_sub_mail'];
	if ($rows == 1 || $k == 99) {
		if (!mail($to, $subject, $message, $headers)) {
					$error = $locale['nl_417'];
				}
			}
		if ($k != 99) { $k++; } else { $k = 1; }
		$rows--;
		}
	}
opentable($locale['nl_412']);
	echo "<div style='text-align:center'><br />\n";
	if (!$error) {
		echo $locale['nl_416']."<br /><br />\n";
	echo "<table class='tbl-border' align='center' width='400' cellpadding='4' cellspacing='0'><tr>\n";
	echo "<td align='center'>".$locale['nl_425']."</td>\n</tr><tr>";
	echo "<td align='left'>\n";
		$rows = array_chunk($send_array, 2);
		foreach($rows  as $emails) {
    	    	    	echo implode(', ', $emails) . "<br />";
		}
	echo "</td>\n";
	echo "</tr></table><br /><br />\n";
	} else {
		echo $locale['nl_417']."<br /><br />\n".$error."<br /><br />\n";
	}
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'>\n<tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table>\n";
	echo "</div>\n";
closetable();
break;
// End guest single/multiple/all send
	case ($delivery == 'grp'):
include INCLUDES."sendmail_include.php";
// Mail send routine to user group addresses
	$error = "";
$result = dbquery("SELECT nl_id, nl_style, nl_sent_date FROM ".DB_NEWS_LETTER." WHERE nl_id='".$_POST['nl_id']."'");
	$data=dbarray($result);
	$style = $data['nl_style'];
	$send_date = $data['nl_sent_date'];
	$subject = stripslashes($_POST['subject']);
	$news_head = stripslashes($_POST['nl_head']);
	$frommail = $settings['siteemail'];
	$usrtxt = stripslashes($_POST['msg']);
	$format = $_POST['format'];
	$group_array = (isNum($_POST['send_to']));
	$list_grp = explode(",",$group_array);
	$to_group = $list_grp;
	$send_array = implode(",",$to_group);

foreach($send_array AS $grID) {
	$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_groups REGEXP('^\\\,{$grID}$|\\\,{$grID}\\\,|\\\,{$grID}$')");
	if (dbrows($result)) {
		$rows = dbrows($result);
	while ($data = dbarray($result)) {
		$addies = $data['user_email'].',';
	$my_array = explode(",",$addies);
foreach($my_array AS $dudes) {
$prep = $dudes;
	$array[] = $prep;
	$list = implode(",",$array);
	$to_mail = $list;
	$list_array = explode(",",$to_mail);
			}
		}
	}
}
	reset($send_array);
	reset($list_array);
include INFUSIONS."news_letter_panel/include/styles_include.php";
include INFUSIONS."news_letter_panel/templates/$template";
require INFUSIONS."news_letter_panel/include/html2text.php";
	$html_version = $content;
	$text_version = html2text($html_version);
// archive html version
$epoch = time();
$sent = date("M d, Y",$epoch);
$result = dbquery("UPDATE ".DB_NEWS_LETTER." SET nl_sent='1', nl_sent_date='$sent' WHERE nl_id='".$_POST['nl_id']."'");
		$subj = $subject;
		$qpage = $web_read;
		$page = stripslashes($html_version);
		$nwsltr = ARCHIVE_FOLDER."$qpage";
		$handle = fopen($nwsltr, 'w') or die("File could not be created");
		fwrite($handle, $page);
		fclose($handle);
$archive = dbquery("INSERT INTO ".DB_NEWS_LETTER_ARCHIVE." (id, nl_subject, nl_content, nl_date_sent) VALUES('', '".$subj."', '".$qpage."', '".$sent."')");
// boundary 
$semi_rand = md5(time()); 
$mime_boundary = "Multipart_Boundary_x{$semi_rand}x";

	if ($format == "plain") {
		$content = $text_version;
		$date= date("r");
		$headers = "From: $frommail\r\n";
	if($_POST['fileattach'] == "yes") {
	$file_array = ($_POST['attach_files']);
	$file_list = implode(",",$file_array);
	$my_list = $file_list;
	$new_list = explode(",",$my_list);
	reset($new_list);
}
	$headers .= "MIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\"";
	$message = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type: text/plain; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $content . "\n\n"; 
	$message .= "--{$mime_boundary}\n";
// preparing attachments for plain text emails
	if($_POST['fileattach'] == "yes") {
		foreach($new_list AS $new_file) {
include INFUSIONS."news_letter_panel/include/mime_type.php";
		$handle = fopen(ATTACH_FOLDER.$new_file, "rb");
		$data = fread($handle, filesize(ATTACH_FOLDER.$new_file));
		fclose($handle);
		$file_split = chunk_split(base64_encode($data));
		$message .= "Content-Type: $mime_type;\n" . " name=\"$new_file\"\n" . 
		"Content-Disposition: attachment;\n" . " filename=\"$new_file\"\n" . 
		"Content-Transfer-Encoding: base64\n\n" . $file_split . "\n\n";
		$message .= "--{$mime_boundary}\n";
		}
	$message .= "--{$mime_boundary}--\n";
		} else { $message .= "--{$mime_boundary}--\n"; }
	} else {
		$content = $html_version;
		$date= date("r");
		$headers = "From: $frommail\r\n";
	if($_POST['fileattach'] == "yes") {
	$file_array = ($_POST['attach_files']);
	$file_list = implode(",",$file_array);
	$my_list = $file_list;
	$new_list = explode(",",$my_list);
	reset($new_list);
}
	$headers .= "MIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\"";
	$message = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type: text/html; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $content . "\n\n"; 
	$message .= "--{$mime_boundary}\n";
// preparing attachments for html emails
	if($_POST['fileattach'] == "yes") {
		foreach($new_list AS $new_file) {
include INFUSIONS."news_letter_panel/include/mime_type.php";
		$handle = fopen(ATTACH_FOLDER.$new_file, "rb");
		$data = fread($handle, filesize(ATTACH_FOLDER.$new_file));
		fclose($handle);
		$file_split = chunk_split(base64_encode($data));
		$message .= "Content-Type: $mime_type;\n" . " name=\"$new_file\"\n" . 
		"Content-Disposition: attachment;\n" . " filename=\"$new_file\"\n" . 
		"Content-Transfer-Encoding: base64\n\n" . $file_split . "\n\n";
		$message .= "--{$mime_boundary}\n";
		}
	$message .= "--{$mime_boundary}--\n";
	} else { $message .= "--{$mime_boundary}--\n"; }
}
foreach($list_array AS $to_mail) {
	$result = dbquery("SELECT *	FROM ".DB_USERS." WHERE user_email='$to_mail'");
	if (dbrows($result)) {
	}
		$k = 1; $rows = dbrows($result);
		while ($data = dbarray($result)) {
		$to = $data['user_email'];

				if ($rows == 1 || $k == 99) {
		if (!mail($to, $subject, $message, $headers)) {
					$error = $locale['nl_417'];
				}
			}
		if ($k != 99) { $k++; } else { $k = 1; }
		$rows--;
		}	
	}
opentable($locale['nl_412']);
	echo "<div style='text-align:center'><br />\n";
	if (!$error) {
		echo $locale['nl_416']."<br /><br />\n";
	echo "<table class='tbl-border' align='center' width='400' cellpadding='4' cellspacing='0'><tr>\n";
	echo "<td align='center'>".$locale['nl_426']."</td>\n</tr><tr>";
	$result = dbquery("SELECT group_name FROM ".DB_USER_GROUPS." WHERE group_id = '".$_POST['sendto']."'");
	if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
	echo "<td align='left'>".$locale['nl_427']."".$data['group_name']."</td>\n";
		}	
	}
	echo "</tr></table><br /><br />\n";
	} else {
		echo $locale['nl_417']."<br /><br />\n".$error."<br /><br />\n";
	}
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'>\n<tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table>\n";
	echo "</div>\n";
closetable();
break;
// End group sending code
default:
	echo $locale['nl_463'];
break;
}
// End all switch case code
} else if (isset($_POST['delete']) && (isset($_POST['nl_id']) && isnum($_POST['nl_id']))) {
	$result = dbquery("DELETE FROM ".DB_NEWS_LETTER." WHERE nl_id='".$_POST['nl_id']."'");
opentable($locale['nl_413']);
	echo "<div style='text-align:center'><br />\n".$locale['nl_420']."<br /><br />\n";
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'>\n<tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table>\n";
	echo "</div><br /><br />\n";
closetable();
} else {
	if (isset($_POST['preview'])) {
$result = dbquery("SELECT nl_id, nl_style, nl_sent_date FROM ".DB_NEWS_LETTER." WHERE nl_id='".$_POST['nl_id']."'");
	$data=dbarray($result);
		$subject = stripslashes($_POST['subject']);
		$news_head = stripslashes($_POST['nl_head']);
		$usrtxt = stripslashes($_POST['msg']);
		$plain = ($_POST['format'] == "plain" ? " checked" : "");
		$htm = ($_POST['format'] == "html" ? " checked" : "");
		$uem1 = ($_POST['delivery'] == "uem1" ? " checked" : "");
		$uem2 = ($_POST['delivery'] == "uem2" ? " checked" : "");
		$grp = ($_POST['delivery'] == "grp" ? " checked" : "");
	$style = $data['nl_style'];
	$send_date = $data['nl_sent_date'];
include INFUSIONS."news_letter_panel/include/styles_include.php";
include INFUSIONS."news_letter_panel/templates/$template";
require INFUSIONS."news_letter_panel/include/html2text.php";
	$html_version = $content;
	$text_version = html2text($html_version);

		if ($format == "plain") {
		$message = $text_version;
			$message_preview = nl2br(stripslashes($message));
		} else {
		$message = $html_version;
		$message_preview = stripslashes($message);
opentable($subject.$locale['nl_405']);
	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'><tr>\n";
	echo "<td align='center' width='100%'>\n";
	echo "$message_preview\n";
	echo "</td></tr></table><br />\n";
	}
closetable();
}
opentable($locale['nl_400']);
echo "<div style='text-align:center'><span style='font-weight: bold; font-size: 13px;'>".$locale['nl_602']."</span><br /><br /></div>\n";
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER." ORDER BY nl_datestamp DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
                	if (isset($_POST['nl_id']) && isnum($_POST['nl_id'])) {
			      $sel = ($_POST['nl_id'] == $data['nl_id'] ? " selected" : "");
			}
			$editlist .= "<option value='".$data['nl_id']."'$sel>".$data['nl_subject']."</option>\n";
		}
	}
	echo "<div style='text-align:center'>\n<form name='edit_select' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo $locale['nl_404']."<select name='nl_id' class='textbox' style='width:250px;'>\n".$editlist."</select>\n";
	echo "<input type='submit' name='edit' value='".$locale['nl_401']."' class='butt2'>\n";
	echo "<input type='submit' name='delete' value='".$locale['nl_402']."' onclick='return DeleteNewsletter();' class='butt2'></form><br /><br />\n";
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'><tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table>\n";
	echo "</div>\n";
closetable();
	if (isset($_POST['edit']) && (isset($_POST['nl_id']) && isnum($_POST['nl_id']))) {
		$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER." WHERE nl_id='".$_POST['nl_id']."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$nl_id = $data['nl_id'];
			$style = $data['nl_style'];
include INFUSIONS."news_letter_panel/include/styles_include.php";
include INFUSIONS."news_letter_panel/templates/$template";
			$subject = phpentities(stripslashes($data['nl_subject']));
			$news_head = phpentities(stripslashes($data['nl_head']));
			$usrtxt = phpentities(stripslashes($data['nl_message']));
			$plain = ($data['nl_format'] == "plain" ? " checked='checked'" : "");
			$htm = ($data['nl_format'] == "html" ? " checked='checked'" : "");
			$uem1 = ($data['nl_delivery'] == "uem1" ? " checked='checked'" : "");
			$uem2 = ($data['nl_delivery'] == "uem2" ? " checked='checked'" : "");
			$grp = ($data['nl_delivery'] == "grp" ? " checked='checked'" : "");
		}
	}
	if ((isset($_POST['nl_id']) && isnum($_POST['nl_id'])) || (isset($_GET['nl_id']) && isnum($_GET['nl_id']))) {
		opentable($locale['nl_411']);
	} else {
		if (!isset($_POST['preview'])) {
			$subject = "";
			$news_head = "";
			$usrtxt = "";
			$plain = "";
			$htm = "";
			$uem1 = "";
			$uem2 = "";
			$grp = "";
		}
		$action = FUSION_SELF;
opentable($locale['nl_410']);
}
	echo "<form id='nlform' name='nlform' method='post' action='".FUSION_SELF.$aidlink."' onSubmit='return ValidateForm(this)'>\n";
	echo "<div id='balloon1' class='balloonstyle'>".$locale['nl_930']."</div>\n";
	echo "<div id='balloon2' class='balloonstyle'>".$locale['nl_931']."</div>\n";
	echo "<div id='balloon3' class='balloonstyle'>".$locale['nl_932']."</div>\n";
	echo "<div id='balloon4' class='balloonstyle'>".$locale['nl_933']."</div>\n";
	echo "<div id='balloon5' class='balloonstyle'>".$locale['nl_934']."</div>\n";
	echo "<table align='center' width='800' cellspacing='0' cellpadding='0' border='0'><tr>\n";
	echo "<td height='2' colspan='2'></td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl2' valign='top'><a rel='balloon1' href=''><img src='images/help.gif' border='0' alt='' /></a>&nbsp;".$locale['nl_429']."</td>\n";
	echo "<td class='tbl1' valign='top'>\n";
        if (isset($nl_id)) { echo "<input type='hidden' name='nl_id' value=".$nl_id.">"; }
	echo "<input type='text' name='subject' value='$subject' class='textbox' style='width:315px;'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td height='2' colspan='2'></td>\n";
	echo "</tr><tr>\n";
// Select site users single/multiple/all send
	echo "<td class='tbl2' valign='top' align='left'><a rel='balloon2' href=''><img src='images/help.gif' border='0' alt='' /></a>&nbsp;".$locale['nl_445']."</td><td class='tbl1' valign='top' align='left'><table cellspacing='0' cellpadding='0' border='0'><tr>\n";
	echo "<td valign='top' align='left' width='240'><input type='radio' name='delivery' value='uem1'".$uem1." checked />".$locale['nl_442']."</td>\n";
	echo "<td valign='top' align='center'><select name='send_to[]'  multiple='true' size='6' class='textbox' style='width:150px;'>";
	$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER_SUBS." WHERE nl_sub_stat ='1' AND nl_sub_who='1' ORDER BY nl_sub_name");
	if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
            $selected = (isset($_GET['nl_sub_mail']) && $_GET['nl_sub_mail'] == $data['nl_sub_mail']) ? 'selected="selected"' : '';
            echo "<option value='".$data['nl_sub_mail']."'$selected>".$data['nl_sub_name']." </option>\n";
          }
}
	echo "</select></td></tr></table>\n";
	echo "</td></tr><tr>\n";
// End select site users single/multiple/all send
	echo "<td height='2' colspan='2'></td>\n";
	echo "</tr><tr>\n";
// Select site guest single/multiple/all send
	echo "<td class='tbl2' valign='top' align='left'><a rel='balloon2' href=''><img src='images/help.gif' border='0' alt='' /></a>&nbsp;".$locale['nl_445']."</td><td class='tbl1' valign='top' align='left'><table cellspacing='0' cellpadding='0' border='0'><tr>\n";
	echo "<td valign='top' align='left' width='240'><input type='radio' name='delivery' value='uem2'".$uem2." />".$locale['nl_443']."</td>\n";
	echo "<td valign='top' align='center'><select name='send_to[]'  multiple='true' size='6' class='textbox' style='width:150px;'>";
	$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER_SUBS." WHERE nl_sub_stat ='1' AND nl_sub_who='0' ORDER BY nl_sub_name");
	if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
            $selected = (isset($_GET['nl_sub_mail']) && $_GET['nl_sub_mail'] == $data['nl_sub_mail']) ? 'selected="selected"' : '';
            echo "<option value='".$data['nl_sub_mail']."'$selected>".$data['nl_sub_name']."</option>\n";
          }
}
	echo "</select>\n";
	echo "</td></tr></table>\n";
// End select site guest single/multiple/all send
	echo "</td></tr>\n";
	echo "<tr><td height='2' colspan='2'></td>\n";
	echo "</tr><tr>\n";
// Select user group
	echo "<td class='tbl2' valign='top' align='left'><a rel='balloon3' href=''><img src='images/help.gif' border='0' alt='' /></a>&nbsp;".$locale['nl_445']."</td><td class='tbl1' valign='top' align='left'><table cellspacing='0' cellpadding='0' border='0'><tr>\n";
	echo "<td valign='top' align='left' width='240'><input type='radio' name='delivery' value='grp'".$grp."> ".$locale['nl_447']."</td>\n";
	echo "<td valign='top' align='center'><select name='send_to[]' multiple='true' size='6' class='textbox' style='width:150px;'>";
	$result = dbquery("SELECT * FROM ".DB_USER_GROUPS."");
	if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
            $selected = (isset($_GET['group_id']) && $_GET['group_id'] == $data['group_id']) ? 'selected="selected"' : '';
            echo "<option value='".$data['group_id']."'$selected>".$data['group_name']."</option>\n";
          }
}
	echo "</select>\n";
	echo "</td></tr></table></td>\n";
	echo "</tr><tr>\n";
	echo "<tr><td height='2' colspan='2'></td>\n";
	echo "</tr><tr>\n";
// End select user group
// Select file attachments
	echo "<td class='tbl2' valign='top' align='left'><a rel='balloon4' href=''><img src='images/help.gif' border='0' alt='' /></a>&nbsp;".$locale['nl_860']."</td><td class='tbl1' valign='top' align='left'><table cellspacing='0' cellpadding='0' border='0'><tr>\n";
	echo "<td valign='top' align='left' width='240'><input type='radio' name='fileattach' value='yes'> ".$locale['nl_861']."<img src='".INFUSIONS."news_letter_panel/images/clearpix.gif' width='20' height='1' alt='' /><input type='radio' name='fileattach' value='no' checked> ".$locale['nl_862']."</td>\n";
	echo "<td align='left'>\n";
    $attach_list = load_Attach();
    if(is_array($attach_list))
    {
	echo "<select name='attach_files[]'  multiple='true' size='6' class='textbox' style='width:150px;'>";
        foreach($attach_list AS $file)
        {
            $selected = (isset($_POST['attach_files']) && $_POST['attach_files'] == $file ) ? 'selected="selected"' : '';

            echo "<option value='$file'$selected>$file</option>\n";
          }
}
	echo "</select>\n";
	echo "</td>\n</tr></table>\n";
	echo "</td>\n";
// End file attachments
	echo "</tr><tr>\n";
	echo "<td height='2' colspan='2'></td>\n";
	echo "</tr><tr>\n";
// Newsletter heading message
	echo "<td class='tbl2' valign='top' align='left'><a rel='balloon5' href=''><img src='images/help.gif' border='0' alt='' /></a>&nbsp;".$locale['nl_113']."</td>\n";
	echo "<td class='tbl1'><textarea id='nl_head' name='nl_head' cols='120' rows='1' class='textbox'>$news_head</textarea></td></tr>\n";
// End Newsletter heading message
	echo "<tr><td height='2' colspan='2'></td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl2' valign='middle'>".$locale['nl_431']."</td>\n";
	echo "<td class='tbl1'><textarea id='msg' name='msg' cols='120' rows='16' class='textbox'>$usrtxt</textarea></td></tr>\n";
	echo "<tr><td height='2' colspan='2'></td></tr>\n";
	echo "<tr><td class='tbl2' valign='middle'>".$locale['nl_432']."</td>\n";
// Begin html buttons
require_once INFUSIONS."news_letter_panel/include/html_buttons.php";
	echo "<td class='tbl1' align='left'>".display_html("nlform", "msg", true, true, true, null)."</td>\n";
	echo "</tr><tr>\n";
	echo "<td height='2' colspan='2'></td>\n";
// End buttons colors and smileys
	echo "</tr><tr>\n";
	echo "<td class='tbl2'>".$locale['nl_433']."</td>\n";
	echo "<td class='tbl1'><input type='radio' name='format' value='html' checked />".$locale['nl_435']."\n";
	echo "<input type='radio' name='format' value='plain' />".$locale['nl_434']."</td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center' valign='middle' height='5' colspan='2'><hr></td>\n";
	echo "</tr><tr>\n";
$epoch = time();
$edited = date("M d, Y",$epoch);
	echo "<td align='center' colspan='2'><input type='hidden' name='nl_edit' value='$edited' />\n";
	echo "<input class='butt2' type='submit' name='preview' value='".$locale['nl_436']."' />&nbsp;&nbsp;&nbsp;<input class='butt2' type='submit' name='save_newsletter' value='".$locale['nl_437']."' />&nbsp;&nbsp;&nbsp;<input class='butt2' type='submit' name='send' value='".$locale['nl_438']."' />&nbsp;&nbsp;&nbsp;<input class='butt2' type='reset' name='reset' value='".$locale['nl_449']."' /></td>\n";
	echo "</tr></table><br /><br /></form>\n";
closetable();
	echo "<script language=\"JavaScript\">
function DeleteNewsletter() {
	return confirm('".$locale['nl_451']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['nl_450']."');
		return false;
	}
}
</script>\n";
}
require_once THEMES."templates/footer.php";
?>