<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_letter_archive.php
| Author: Terry Broullette(Grimloch)
| Website: WhisperWillow Mod Support
| URL: http://www.whisperwillow.com/
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."news_letter_panel/infusion_db.php";

if (file_exists(INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}

opentable($locale['nl_104']);

echo "<br /><br /><div align='center'><span style='font-size: 20px;'>".$locale['nl_105']."</span><br /><br /><br /></div>\n";
echo "<table class='tbl-border' width='350' align='center' cellspacing='1' cellpadding='4'><tr class='tbl2'>\n";
echo "<td align='center'><strong>".$locale['nl_106']."</strong></td><td align='center'><strong>".$locale['nl_108']."</strong></td>\n";
echo "<tr>\n";

	$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER_ARCHIVE." ORDER BY nl_date_sent DESC");
	if(dbrows($result) != 0) {
	while($data = dbarray($result)) {
	$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		$title = $data['nl_subject'];
		$link = $data['nl_content'];
		$sent = $data['nl_date_sent'];

echo "<tr class='$cell_color'><td align='left'><a href='".INFUSIONS."news_letter_panel/archive/$link' target='_new'><b>$title</b></a></td><td align='center'>$sent</td></tr>\n";
	$i++;
	}
echo "</table><br /><br />\n";
} else {
echo "<tr><td align='center' colspan='3'>".$locale['nl_111']."</td></tr>\n";
echo "</table><br /><br />\n";
}
closetable();
require_once THEMES."templates/footer.php";
?>