<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_letter_archive_admin.php
| Author: Terry Broullette(Grimloch)
| Website: WhisperWillow Mod Support
| URL: http://www.whisperwillow.com/
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."news_letter_panel/infusion_db.php";

if (file_exists(INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_letter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}
if (!checkrights("GNS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

add_to_head("<link rel='stylesheet' href='".INFUSIONS."news_letter_panel/include/nl_style.css' type='text/css' />");

define("ARCHIVE_FOLDER", INFUSIONS."news_letter_panel/archive/");
opentable($locale['nl_104']);

if (isset($_POST['delete']) && (isset($_POST['id']) && isnum($_POST['id']))) {

	$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER_ARCHIVE." WHERE id='".$_POST['id']."'");
		while($data = dbarray($result)) {
		$remove = $data['nl_content'];
	if ($remove) { @unlink(ARCHIVE_FOLDER.$remove); }
	}
	$result = dbquery("DELETE FROM ".DB_NEWS_LETTER_ARCHIVE." WHERE id='".$_POST['id']."'");

}

echo "<br /><br /><form name='delete_select' method='post' action='".FUSION_SELF.$aidlink."'><div align='center'><span style='font-size: 20px;'>".$locale['nl_105']."</span><br /><br /><br /></div>\n";
echo "<table class='tbl-border' width='350' align='center' cellspacing='1' cellpadding='4'><tr class='tbl2'>\n";
echo "<td align='center'><strong>".$locale['nl_106']."</strong></td><td align='center'><strong>".$locale['nl_108']."</strong></td>\n";
echo "<tr>\n";

	$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER_ARCHIVE." ORDER BY nl_date_sent DESC");
	if(dbrows($result) != 0) {
	while($data = dbarray($result)) {
	$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		$nl_id = $data['id'];
		$title = $data['nl_subject'];
		$link = $data['nl_content'];
		$sent = $data['nl_date_sent'];

echo "<tr class='$cell_color'><td align='left'><a href='".INFUSIONS."news_letter_panel/archive/$link' target='_new'><b>$title</b></a></td><td align='center'>$sent</td></tr>\n";
	$i++;
	}
echo "</table><br /><br />\n";
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER_ARCHIVE." ORDER BY nl_date_sent DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
                	if (isset($_POST['id']) && isnum($_POST['id'])) {
			      $sel = ($_POST['id'] == $data['id'] ? " selected" : "");
			}
			$editlist .= "<option value='".$data['id']."'$sel>".$data['nl_subject']." - ".$data['nl_date_sent']."</option>\n";
		}
	}
	echo "<div style='text-align:center'>".$locale['nl_251']."<select name='id' class='textbox' style='width:260px;'>\n".$editlist."</select>\n";
	echo "<input type='submit' name='delete' value='".$locale['nl_402']."' class='butt2'><br /><br /></div></form><br /><br />\n";
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'>\n<tr>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_admin.php".$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".FUSION_SELF.$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='16%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
	$result = dbquery("SELECT allow_public_subs FROM ".DB_NEWS_LETTER_SETTINGS."");
	$data=dbarray($result);
	$pub_allow = $data['allow_public_subs'];
if($pub_allow == 0) {
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='17%'><a class='butt2' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table><br /><br />\n";
} else {
echo "<tr><td align='center' colspan='3'>".$locale['nl_111']."</td></tr>\n";
echo "</table>\n";
}
closetable();
require_once THEMES."templates/footer.php";
?>